libstdc++: std::binary_negate< _Predicate > Class Template Reference

libstdc++

std::binary_negate< _Predicate > Class Template Reference
Utilities » Function Objects » Negators

`#include <stl_function.h>`

Inheritance diagram for std::binary_negate< _Predicate >:
[legend]

## Public Types
typedef _Predicate::first_argument_type | first_argument_type
typedef bool | result_type
typedef _Predicate::second_argument_type | second_argument_type

## Public Member Functions
constexpr | binary_negate (const _Predicate &__x)
constexpr bool | operator() (const typename _Predicate::first_argument_type &__x, const typename _Predicate::second_argument_type &__y) const

## Protected Attributes
_Predicate | _M_pred

## Detailed Description

template<typename _Predicate>
class std::binary_negate< _Predicate >

One of the negation functors.

Definition at line 1139 of file stl_function.h.

## Member Typedef Documentation

## ◆ first_argument_type

typedef _Predicate::first_argument_type std::binary_function< _Predicate::first_argument_type, _Predicate::second_argument_type, bool >::first_argument_type
| inherited

`first_argument_type` is the type of the first argument

Definition at line 137 of file stl_function.h.

## ◆ result_type

typedef bool std::binary_function< _Predicate::first_argument_type, _Predicate::second_argument_type, bool >::result_type
| inherited

`result_type` is the return type

Definition at line 143 of file stl_function.h.

## ◆ second_argument_type

typedef _Predicate::second_argument_type std::binary_function< _Predicate::first_argument_type, _Predicate::second_argument_type, bool >::second_argument_type
| inherited

`second_argument_type` is the type of the second argument

Definition at line 140 of file stl_function.h.

## Constructor & Destructor Documentation

## ◆ binary_negate()

template<typename _Predicate>

std::binary_negate< _Predicate >::binary_negate | ( | const _Predicate & | __x | ) |
| inlineexplicitconstexpr

Definition at line 1149 of file stl_function.h.

## Member Function Documentation

## ◆ operator()()

template<typename _Predicate>

bool std::binary_negate< _Predicate >::operator() | ( | const typename _Predicate::first_argument_type & | __x,
|  | const typename _Predicate::second_argument_type & | __y ) const
| inlineconstexpr

Definition at line 1153 of file stl_function.h.

## Member Data Documentation

## ◆ _M_pred

template<typename _Predicate>

_Predicate std::binary_negate< _Predicate >::_M_pred
| protected

Definition at line 1144 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h